%global _build_id_links none
%undefine _disable_source_fetch

Name:		chatty
Version:	0.1.10
Release:	2%{?dist}
Summary:	A libpurple messaging client

License:        GPLv3+
URL:            https://source.puri.sm/Librem5/chatty
Source0:        https://source.puri.sm/Librem5/chatty/-/archive/v%{version}/%{name}-v%{version}.tar.gz

Patch0:		0001-hacky-hack.patch
#Patch1:		0001-add-externs.patch
#Patch2:		0001-finish-adding-externs.patch

BuildRequires:  gcc
BuildRequires:  meson

BuildRequires:  pkgconfig(libebook-contacts-1.2)
BuildRequires:  pkgconfig(libfeedback-0.0)
BuildRequires:  pkgconfig(libhandy-0.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.50.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(sqlite3) >= 3.0.0
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(folks)


%description
Chatty is a libpurple based messaging client for mobile phones,
works best with the phosh mobile DE.


%prep
cp `pkg-config --variable=plugindir purple`/libjabber.so.0 /tmp/libjabber.so
%autosetup -p1 -n chatty-v%{version}


%build
%meson
%meson_build


%install
%meson_install
mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp `pkg-config --variable=plugindir purple`/libjabber.so.0 $RPM_BUILD_ROOT%{_libdir}


%check
%meson_test


%files
%{_bindir}/chatty
/etc/xdg/autostart/sm.puri.Chatty-daemon.desktop
%{_datadir}/*
%{_libdir}/libjabber.so.0
# %{_datadir}/glib-2.0/schemas/sm.puri.chatty.gschema.xml
%doc README.md
%license COPYING


%changelog
* Wed May 20 2020 Subsentient <subsentient@universe2.us> - 0.1.10-1
- Bump version

* Wed Mar 04 2020 Nikhil Jha <hi@nikhiljha.com> - 0.1.8-3
- Remove the buildid

* Wed Mar 04 2020 Nikhil Jha <hi@nikhiljha.com> - 0.1.8-2
- Bundle libjabber with it

* Mon Mar 02 2020 Nikhil Jha <hi@nikhiljha.com> - 0.1.8-1
- Initial packaging
